#questionTimer {
  width: 100%;
  text-align: center;
  font-size: 50px;
}

#modalTimer {
  width: 100%;
  text-align: center;
  font-size: 50px;
}

#guessStats {
  width: 100%;
  text-align: center;
}

#roomDiv {
  /* position: absolute; */
  width: 75vw;
  max-width: 350px;
  /* height: 50vh; */
  /* left: 0;
  margin-left: 25%;
  margin-right: 25%; */
  margin-top: 5vh;
  text-align: center; 
}

/* #roomCodeGroup {
  max-width: 300px;
} */

a {
  color: #00B7FF;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  /* display: none; <- Crashes Chrome on hover */
  -webkit-appearance: none;
  margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

input[type=number] {
  -moz-appearance:textfield; /* Firefox */
}

#randomCodeBtn{
  display: inline-block;
  width: 125px;
  height: 30px;
  font-size: 15px;
  text-align: center;
  padding: 0;
  background-color: black;
}

 .button {
   display: inline-block;
   border-radius: 4px;
   background-color: dodgerblue;
   border: none;
   color: #FFFFFF;
   text-align: center;
   font-size: 28px;
   width: 175px;
   transition: all 0.5s;
   cursor: pointer;
   margin: 5px;
   height: 50px;
 }

.button span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

.button span:after {
  content: '\00bb';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}

.button:hover span {
  padding-right: 25px;
}

.button:hover span:after {
  opacity: 1;
  right: 0;
}

#questionHeaderLabel{
  margin-top: 15px;
}

#submitBtn, #readyBtn {
  display: inline-block;
}

#playerListGroup li{
  font-size: 15px;
}

#inviteContent {
  display:none;
}

#importBtn, #exportBtn {
  display: inline-block;
}

#answerInstruction {
  margin-top: 20px;
  margin-bottom: 10px;
  font-size: 15px;
}
h5{
  font-size: 15px;
}

.inputLabel{
  font-size: 15px;
  font-weight: bold;
  margin-right: 15px;
}

.blueButton {
  display: block;
  width: auto;
  min-width: 200px;
  height: 30px;
  font-size: 15px;
  text-align: center;
  background-color: darkorange;
  border-radius: 4px;
  border: none;
  color: #FFFFFF;
  transition: all 0.5s;
  cursor: pointer;
  margin-top: 25px;
  margin-bottom: 25px;
  z-index: 5;
}

#leaderboardContinueBtn{
  display: inline-block;
}

#errorNotice{
  margin-left: 25px;
}

.copyButton {
  display: inline-block;
  width: 50px;
  height: 30px;
  font-size: 15px;
  text-align: center;
  padding: 0;
  background-color: dodgerblue;
  border-radius: 4px;
  border: none;
  color: #FFFFFF;
  transition: all 0.5s;
  cursor: pointer;
  margin-left: 15px;
  z-index: 5;
}

.closeButton {
  display: inline-block;
  width: 40px;
  height: 30px;
  font-size: 15px;
  text-align: center;
  padding: 0;
  background-color: dodgerblue;
  border-radius: 4px;
  border: none;
  color: #FFFFFF;
  transition: all 0.5s;
  cursor: pointer;
  margin-left: 15px;
  z-index: 5;
}

#readyDiv{
  width: 100%;
  text-align: -webkit-center;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  opacity: .80;
  margin: 40% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 30%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

#aBtn, #bBtn, #cBtn, #dBtn {
  display: block;
  min-width: 100%;
  height: 75px;
  font-size: 35px;
  text-align: center;
  background-color: dodgerblue;
  border-radius: 4px;
  border: none;
  color: #FFFFFF;
  transition: all 0.5s;
  cursor: pointer;
  margin-top: 25px;
  margin-bottom: 25px;
  z-index: 5;
}

#questionHeaderLabel{
  font-size: 20px;
}

#currentQuestion{
  font-size: 25px;
}

#notificationMsg{
  display: none;
  position: absolute;
  bottom: 10%;
  left: 5%;
  right: 5%;
  margin: 0 0 0 auto;
  z-index: 9999999;
  text-align: center;
  pointer-events: none;
  opacity: 90%;
  width: auto;
  max-width: 100%;
  font-weight: bold;
}

@media (max-width: 575.98px) {

    .element {
        width: 90%;
    }


/*.blueButton {*/
/*    display: block;*/
/*    min-width: 100%;*/
/*    height: 75px;*/
/*    font-size: 35px;*/
/*    text-align: center;*/
/*    background-color: dodgerblue;*/
/*    border-radius: 4px;*/
/*    border: none;*/
/*    color: #FFFFFF;*/
/*    transition: all 0.5s;*/
/*    cursor: pointer;*/
/*    margin-top: 25px;*/
/*    margin-bottom: 25px;*/
/*    z-index: 5;*/
/*  }*/

  #aBtn, #bBtn, #cBtn, #dBtn, #trueBtn, #falseBtn {
    display: block;
    min-width: 100%;
    height: 35px;
    font-size: 15px;
    text-align: center;
    background-color: dodgerblue;
    border-radius: 4px;
    border: none;
    color: #FFFFFF;
    transition: all 0.5s;
    cursor: pointer;
    margin-top: 25px;
    margin-bottom: 25px;
    z-index: 5;
  }

  #questionHeaderLabel{
    font-size: 15px;
  }

  #currentQuestion{
    font-size: 20px;
    margin: 0 auto;
  }

  span#headerTimer{
    font-size: 35px;
  }

  #qInput {
    width: 90%;
    margin: 0 auto;
  }

  #submitBtn, #showQuestionDetails, #showQuestionTemplates, #hideQuestionDetails, #hideQuestionTemplates, #loadGeneralTemplate{
    height: 30px;
    width: 50%;
    font-size: 15px;
    margin-top: 5px;
  }

  #showQuestionDetails{
    height: 30px;
    width: 50%;
    font-size: 15px;
  }

}

.flex-column {
  display: flex;
  flex-direction: column;
}

.center-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.joystick {
  margin-left: auto;
  margin-right: auto;
}

.outer-circle {
  background: black;
  border-radius: 50%;
  height:125px;
  width:125px;
  margin: 0 auto;
}

.analog {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background-color: gray;
  transition: transform 25ms ease-out;
  box-shadow: 0 0 0 10px darkslategrey;
  margin-top: 17px;
  margin-left: 17px;
  position: absolute;
}

.b1circle {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background-color: gray;
  transition: transform 25ms ease-out;
  box-shadow: 0 0 0 10px black;
}

.b2circle {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background-color: gray;
  transition: transform 25ms ease-out;
  box-shadow: 0 0 0 10px black;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

#fullScreenBtn {
  cursor:pointer;
}

#inviteLinkBtn {
  cursor:pointer;
}

#debugBtn {
  cursor:pointer;
}

#videoDiv{
  position:relative;
}
#selfieOverlay {
  position:absolute;
  width:160px;
  min-height:40px;
  background-color:#dadada;
  z-index:300000;
  bottom:10px;
  left:10px;
  text-align:center;
}

#body:fullscreen {
  background-color: darkslategray;
}
#body:-webkit-full-screen {
  background-color: darkslategray;
}
#body:-moz-full-screen {
  background-color: darkslategray;
}

#mainContainer:fullscreen {
  background-color: darkslategray;
}
#mainContainer:-webkit-full-screen {
  background-color: darkslategray;
}
#mainContainer:-moz-full-screen {
  background-color: darkslategray;
}

body, html {
  margin:0;
  padding:0;
  height:100%;
  min-height: 100%;
}

#gameName {
  display: inline-block;
  color: white;
}

#gameEdition {
  display: inline-block;
  color: yellow;
}

@media screen and (min-width: 0px) and (max-width: 380px) {
  #gameName {
    display: none;
  }

  #gameEdition {
    display: none;
  }
  
}

#qrQuickJoin {
  max-width: 25vw; max-height: 25vh; bottom: 15vh; position: absolute; left: 25%; right: 25%; margin: 0 auto;
}

@media screen and (min-height: 0px) and (max-height: 625px) {
  #qrQuickJoin {
    display: none;
  }
}